Subject: [Roll] I-D Action: draft-ietf-roll-dao-projection-21.txt

From: [email-masked]
Date: Mon, 27 Sep 2021 03:11:33 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Routing Over Low power and Lossy networks WG of the IETF.

        Title           : Root initiated routing state in RPL
        Authors         : Pascal Thubert
                          Rahul Arvind Jadhav
                          Matthew Gillmore
	Filename        : draft-ietf-roll-dao-projection-21.txt
	Pages           : 74
	Date            : 2021-09-27

Abstract:
   This document extends RFC 6550, RFC 6553,and RFC 8138 to enable a RPL
   Root to install and maintain Projected Routes within its DODAG, along
   a selected set of nodes that may or may not include self, for a
   chosen duration.  This potentially enables routes that are more
   optimized or resilient than those obtained with the classical
   distributed operation of RPL, either in terms of the size of a
   Routing Header or in terms of path length, which impacts both the
   latency and the packet delivery ratio.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-roll-dao-projection/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-roll-dao-projection-21.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-roll-dao-projection-21

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 27 Sep 2021 11:33:36 +0000

Dear all:

Rereading -20 after Toerless' review, I found that the appendix on requirements could flow better within the main spec to help the new reader understand what we are doing and why. 
I moved the text along with some editorials, and published 21:

Name:		draft-ietf-roll-dao-projection
Revision:	21
Title:		Root initiated routing state in RPL
Document date:	2021-09-27
Group:		roll
Pages:		74
URL:            https://www.ietf.org/archive/id/draft-ietf-roll-dao-projection-21.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-roll-dao-projection/
Html:           https://www.ietf.org/archive/id/draft-ietf-roll-dao-projection-21.html
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-roll-dao-projection
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-roll-dao-projection-21

Michael: can you please use this for your review?

Chairs: With Toerless and Michel having reviewed, I trust that we will be in good shape for WGLC.

Ideally, the WGLC would be done so that we can discuss the issues at the next IETF : )

You all keep safe

Pascal

> -----Original Message-----
> From: Roll <[email-masked]> On Behalf Of [email-masked]
> Sent: lundi 27 septembre 2021 12:12
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Roll] I-D Action: draft-ietf-roll-dao-projection-21.txt
> 
> 
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll